{This unit contains the keywords from the Interbase 6 documentation as a single string. This is useful in applications where you want to test for use of these keywords for fields, etc so that you will not create errors. I think the source below is self explanatory.}

unit IbKeyWordUnit;

interface

Function IbKeyWords : String;
Procedure GetKeyWords (var KeyWords :String);
Function IsIbKeyWord(Vword: String):Boolean;


implementation

Function IsIbKeyWord(Vword: String):Boolean;
var
 keywords:String;
Begin
 Result := False;
 Keywords := IbKeyWords;
 If Pos('|' + VWord + '|',Keywords)> 0 then
  Result := True;
end;

Function IbKeyWords : String;
Begin
 GetKeyWords(Result);
end;

Procedure GetKeyWords (var KeyWords :String);
Begin
 KeyWords :=
 '|ACTION|ACTIVE|ADD|ADMIN|AFTER|ALL|ALTER|AND|ANY|AS|ASC|ASCENDING|AT|AUTO|AUTODDL|AVG' +
 '|BASED|BASENAME|BASE_NAME|BEFORE|BEGIN|BETWEEN|BLOB|BLOBEDIT|BUFFER|BY' +
 '|CACHE|CASCADE|CAST|CHAR|CHARACTER|CHARACTER_LENGTH|CHAR_LENGTH|CHECK|CHECK_POINT_LEN' +
 '|CHECK_POINT_LENGTH|COLLATE|COLLATION|COLUMN|COMMIT|COMMITTED|COMPILETIME|COMPUTED|CLOSE' +
 '|CONDITIONAL|CONNECT|CONSTRAINT|CONTAINING|CONTINUE|COUNT|CREATE|CSTRING|CURRENT|CURRENT_DATE' +
 '|CURRENT_TIME|CURRENT_TIMESTAMP|CURSOR|DATABASE|DATE|DAY|DB_KEY|DEBUG|DEC|DECIMAL|DECLARE|DEFAULT' +
 '|DELETE|DESC|DESCENDING|DESCRIBE|DESCRIPTOR|DISPLAY|DISTINCT|DO|DOMAIN|DOUBLE|DROP|ECHO|EDIT|ELSE' +
 '|END|ENTRY_POINT|ESCAPE|EVENT|EXCEPTION|EXECUTE|EXISTS|EXIT|EXTERN|EXTERNAL|EXTRACT|FETCH|FILE' +
 '|FILTER|FLOAT|FOR|FOREIGN|FOUND|FREE_IT|FROM|FULL|FUNCTION|GDSCODE|GENERATOR|GEN_ID|GLOBAL|GOTO' +
 '|GRANT|GROUP|GROUP_COMMIT_WAIT|GROUP_COMMIT_|WAIT_TIME|HAVING|HELP|HOUR|IF|IMMEDIATE|IN|INACTIVE' +
 '|INDEX|INDICATOR|INIT|INNER|INPUT|INPUT_TYPE|INSERT|INT|INTEGER|INTO|IS|ISOLATION|ISQL|JOIN|KEY'+
 '|LC_MESSAGES|LC_TYPE|LEFT|LENGTH|LEV|LEVEL|LIKE|LOGFILE|LOG_BUFFER_SIZE|LOG_BUF_SIZE|LONG|MANUAL' +
 '|MAX|MAXIMUM|MAXIMUM_SEGMENT|MAX_SEGMENT|MERGE|MESSAGE|MIN|MINIMUM|MINUTE|MODULE_NAME|MONTH'+
 '|NAMES|NATIONAL|NATURAL|NCHAR|NO|NOAUTO|NOT|NULL|NUMERIC|NUM_LOG_BUFS|NUM_LOG_BUFFERS|OCTET_LENGTH' +
 '|OF|ON|ONLY|OPEN|OPTION|OR|ORDER|OUTER|OUTPUT|OUTPUT_TYPE|OVERFLOW|PAGE|PAGELENGTH|PAGES|PAGE_SIZE' +
 '|PARAMETER|PASSWORD|PLAN|POSITION|POST_EVENT|PRECISION|PREPARE|PROCEDURE|PROTECTED|PRIMARY|PRIVILEGES|PUBLIC|QUIT'+
 '|RAW_PARTITIONS|RDB$DB_KEY|READ|REAL|RECORD_VERSION|REFERENCES|RELEASE|RESERV|RESERVING|RESTRICT|RETAIN' +
 '|RETURN|RETURNING_VALUES|RETURNS|REVOKE|RIGHT|ROLE|ROLLBACK|RUNTIME|SCHEMA|SECOND|SEGMENT|SELECT|SET' +
 '|SHADOW|SHARED|SHELL|SHOW|SINGULAR|SIZE|SMALLINT|SNAPSHOT|SOME|SORT|SQLCODE|SQLERROR|SQLWARNING' +
 '|STABILITY|STARTING|STARTS|STATEMENT|STATIC|STATISTICS|SUB_TYPE|SUM|SUSPEND|TABLE|TERMINATOR' +
 '|THEN|TIME|TIMESTAMP|TO|TRANSACTION|TRANSLATE|TRANSLATION|TRIGGER|TRIM|TYPE|UNCOMMITTED|UNION' +
 '|UNIQUE|UPDATE|UPPER|USER|USING|VALUE|VALUES|VARCHAR|VARIABLE|VARYING|VERSION|VIEW|WAIT|WEEKDAY' +
 '|WHEN|WHENEVER|WHERE|WHILE|WITH|WORK|WRITE|YEAR|YEARDAY|';
end;
end.
